| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SeisTrcBufDataPack Class Reference
Seis

FlatDataPack based on SeisTrcBuf. More...

`#include <seisbufadapters.h>`

Inheritance diagram for SeisTrcBufDataPack:
[legend]

## Public Member Functions
| SeisTrcBufDataPack (const SeisTrcBuf &, Seis::GeomType, SeisTrcInfo::Fld, const char *categry, const ZDomain::Info &, int compnr=0)
| buf stays yours (and must remain alive!)
| SeisTrcBufDataPack (const SeisTrcBuf &, Seis::GeomType, SeisTrcInfo::Fld, const char *categry, int compnr=0)
| SeisTrcBufDataPack (const SeisTrcBufDataPack &)
| SeisTrcBufDataPack (SeisTrcBuf *, Seis::GeomType, SeisTrcInfo::Fld, const char *categry, const ZDomain::Info &, int compnr=0)
| buf becomes mine
| SeisTrcBufDataPack (SeisTrcBuf *, Seis::GeomType, SeisTrcInfo::Fld, const char *categry, int compnr=0)
OD::AngleType | azimuthAngleType () const
uiString | dimName (bool) const override
const UnitOfMeasure * | dimUnit (bool dim0, bool display) const override
uiString | dimUnitLbl (bool dim0, bool display, bool abbreviated=true, bool withparentheses=true) const override
bool | dimValuesInInt (const uiString &key, bool dim0) const override
void | getAltDimKeys (uiStringSet &, bool dim0) const override
| First one is 'default'.
void | getAltDimKeysUnitLbls (uiStringSet &, bool dim0, bool abbreviated=true, bool withparentheses=true) const override
double | getAltDimValue (int key, bool dim0, int i0) const override
void | getAuxInfo (int, int, IOPar &) const override
Coord3 | getCoord (int itrc, int isamp) const override
| int,int = Array2D position
TrcKey | getTrcKey (int itrc, int isamp) const override
bool | getTrcKeyZSampling (TrcKeyZSampling &) const
double | getZ (int itrc, int isamp) const override
| overload to set Z also in getCoord
Seis::OffsetType | offsetType () const
bool | posDataIsCoord () const override
SeisTrcBufDataPack & | setAzimuthAngleType (OD::AngleType)
SeisTrcBufDataPack & | setBuffer (SeisTrcBuf *, Seis::GeomType, SeisTrcInfo::Fld, int icomp=0, bool manage_buf=true)
SeisTrcBufDataPack & | setOffsetType (Seis::OffsetType)
SeisTrcBuf & | trcBuf ()
const SeisTrcBuf & | trcBuf () const
SeisTrcBufArray2D & | trcBufArr2D ()
const SeisTrcBufArray2D & | trcBufArr2D () const
Public Member Functions inherited from FlatDataPack
| FlatDataPack (const char *categry, Array2D< float > *)
| Array2D become mine (of course)
| FlatDataPack (const FlatDataPack &)
virtual Array2D< float > & | data ()
const Array2D< float > & | data () const
void | dumpInfo (StringPairSet &) const override
virtual float | getPosDistance (bool dim0, float posfidx) const
bool | isOK () const override
virtual bool | isVertical () const
float | nrKBytes () const override
virtual FlatPosData & | posData ()
const FlatPosData & | posData () const
virtual int | size (bool dim0) const
Public Member Functions inherited from ZDataPack
ZDataPack & | setZDomain (const ZDataPack &)
virtual ZDataPack & | setZDomain (const ZDomain::Info &)
virtual const ZDomain::Info & | zDomain () const
bool | zInFeet () const
bool | zInMeter () const
bool | zIsTime () const
const UnitOfMeasure * | zUnit () const
Public Member Functions inherited from DataPack
virtual const char * | category () const
FullID | fullID (DataPackMgrID mgrid) const
DataPackID | id () const
DataPack * | obtain ()
void | release ()
Threads::Lock & | updateLock () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~SeisTrcBufDataPack ()
Protected Member Functions inherited from FlatDataPack
| FlatDataPack (const char *category)
| ~FlatDataPack ()
Protected Member Functions inherited from ZDataPack
| ZDataPack (const char *categry)
| ZDataPack (const ZDataPack &)
| ~ZDataPack ()
const ZDomain::Info & | zDomain (bool display) const
const UnitOfMeasure * | zUnit (bool display) const
Protected Member Functions inherited from DataPack
| DataPack (const char *categry)
| DataPack (const DataPack &)
| ~DataPack ()
void | setCategory (const char *c)
void | setManager (const DataPackMgr *)
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
OD::AngleType | azimuthangletype_ = OD::AngleType::Degrees
TypeSet< SeisTrcInfo::Fld > | flds_
Seis::GeomType | gt_
Seis::OffsetType | offsettype_
SeisTrcInfo::Fld | posfld_
Protected Attributes inherited from FlatDataPack
Array2D< float > * | arr2d_ = nullptr
FlatPosData & | posdata_
Protected Attributes inherited from DataPack
const BufferString | category_
const DataPackID | id_
const DataPackMgr * | manager_ = nullptr
Threads::Lock | updatelock_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from DataPack
using | ID = DataPackID
using | MgrID = DataPackMgrID
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from DataPack
static DataPackID | cNoID ()
static DataPackID | cUdfID ()
static DataPackID | getID (const FullID &fid)
static const char * | sKeyCategory ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Protected Member Functions inherited from DataPack
static DataPackID | getNewID ()
| ensures a global data pack ID
static float | sKb2MbFac ()
| 1 / 1024

## Detailed Description

FlatDataPack based on SeisTrcBuf.

<>

## Constructor & Destructor Documentation

## ◆ SeisTrcBufDataPack() [1/5]

SeisTrcBufDataPack::SeisTrcBufDataPack | ( | SeisTrcBuf * | ,
|  | Seis::GeomType | ,
|  | SeisTrcInfo::Fld | ,
|  | const char * | categry,
|  | const ZDomain::Info & | ,
|  | int | compnr = 0 )

buf becomes mine

## ◆ SeisTrcBufDataPack() [2/5]

SeisTrcBufDataPack::SeisTrcBufDataPack | ( | const SeisTrcBuf & | ,
|  | Seis::GeomType | ,
|  | SeisTrcInfo::Fld | ,
|  | const char * | categry,
|  | const ZDomain::Info & | ,
|  | int | compnr = 0 )

buf stays yours (and must remain alive!)

## ◆ SeisTrcBufDataPack() [3/5]

SeisTrcBufDataPack::SeisTrcBufDataPack | ( | const SeisTrcBufDataPack & |  | ) |

## ◆ ~SeisTrcBufDataPack()

SeisTrcBufDataPack::~SeisTrcBufDataPack | ( |  | ) |
| protected

## ◆ SeisTrcBufDataPack() [4/5]

SeisTrcBufDataPack::SeisTrcBufDataPack | ( | SeisTrcBuf * | ,
|  | Seis::GeomType | ,
|  | SeisTrcInfo::Fld | ,
|  | const char * | categry,
|  | int | compnr = 0 )

## ◆ SeisTrcBufDataPack() [5/5]

SeisTrcBufDataPack::SeisTrcBufDataPack | ( | const SeisTrcBuf & | ,
|  | Seis::GeomType | ,
|  | SeisTrcInfo::Fld | ,
|  | const char * | categry,
|  | int | compnr = 0 )

## Member Function Documentation

## ◆ azimuthAngleType()

OD::AngleType SeisTrcBufDataPack::azimuthAngleType | ( |  | ) | const

## ◆ dimName()

uiString SeisTrcBufDataPack::dimName | ( | bool |  | ) | const
| override virtual

Reimplemented from FlatDataPack.

## ◆ dimUnit()

const UnitOfMeasure * SeisTrcBufDataPack::dimUnit | ( | bool | dim0,
|  | bool | display ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ dimUnitLbl()

uiString SeisTrcBufDataPack::dimUnitLbl | ( | bool | dim0,
|  | bool | display,
|  | bool | abbreviated = true,
|  | bool | withparentheses = true ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ dimValuesInInt()

bool SeisTrcBufDataPack::dimValuesInInt | ( | const uiString & | key,
|  | bool | dim0 ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ getAltDimKeys()

void SeisTrcBufDataPack::getAltDimKeys | ( | uiStringSet & | ,
|  | bool | dim0 ) const
| override virtual

First one is 'default'.

Reimplemented from FlatDataPack.

## ◆ getAltDimKeysUnitLbls()

void SeisTrcBufDataPack::getAltDimKeysUnitLbls | ( | uiStringSet & | ,
|  | bool | dim0,
|  | bool | abbreviated = true,
|  | bool | withparentheses = true ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ getAltDimValue()

double SeisTrcBufDataPack::getAltDimValue | ( | int | key,
|  | bool | dim0,
|  | int | i0 ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ getAuxInfo()

void SeisTrcBufDataPack::getAuxInfo | ( | int | ,
|  | int | ,
|  | IOPar & | ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ getCoord()

Coord3 SeisTrcBufDataPack::getCoord | ( | int | ,
|  | int | ) const
| override virtual

int,int = Array2D position

Reimplemented from FlatDataPack.

## ◆ getTrcKey()

TrcKey SeisTrcBufDataPack::getTrcKey | ( | int | itrc,
|  | int | isamp ) const
| override virtual

Reimplemented from FlatDataPack.

## ◆ getTrcKeyZSampling()

bool SeisTrcBufDataPack::getTrcKeyZSampling | ( | TrcKeyZSampling & |  | ) | const

## ◆ getZ()

double SeisTrcBufDataPack::getZ | ( | int | ,
|  | int | ) const
| override virtual

overload to set Z also in getCoord

Reimplemented from FlatDataPack.

## ◆ offsetType()

Seis::OffsetType SeisTrcBufDataPack::offsetType | ( |  | ) | const

## ◆ posDataIsCoord()

bool SeisTrcBufDataPack::posDataIsCoord | ( |  | ) | const
| inline override virtual

Reimplemented from FlatDataPack.

## ◆ setAzimuthAngleType()

SeisTrcBufDataPack & SeisTrcBufDataPack::setAzimuthAngleType | ( | OD::AngleType |  | ) |

## ◆ setBuffer()

SeisTrcBufDataPack & SeisTrcBufDataPack::setBuffer | ( | SeisTrcBuf * | ,
|  | Seis::GeomType | ,
|  | SeisTrcInfo::Fld | ,
|  | int | icomp = 0,
|  | bool | manage_buf = true )

## ◆ setOffsetType()

SeisTrcBufDataPack & SeisTrcBufDataPack::setOffsetType | ( | Seis::OffsetType |  | ) |

## ◆ trcBuf() [1/2]

SeisTrcBuf & SeisTrcBufDataPack::trcBuf | ( |  | ) |
| inline

## ◆ trcBuf() [2/2]

const SeisTrcBuf & SeisTrcBufDataPack::trcBuf | ( |  | ) | const
| inline

## ◆ trcBufArr2D() [1/2]

SeisTrcBufArray2D & SeisTrcBufDataPack::trcBufArr2D | ( |  | ) |
| inline

## ◆ trcBufArr2D() [2/2]

const SeisTrcBufArray2D & SeisTrcBufDataPack::trcBufArr2D | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ azimuthangletype_

OD::AngleType SeisTrcBufDataPack::azimuthangletype_ = OD::AngleType::Degrees
| protected

## ◆ flds_

TypeSet<SeisTrcInfo::Fld> SeisTrcBufDataPack::flds_
| protected

## ◆ gt_

Seis::GeomType SeisTrcBufDataPack::gt_
| protected

## ◆ offsettype_

Seis::OffsetType SeisTrcBufDataPack::offsettype_
| protected

## ◆ posfld_

SeisTrcInfo::Fld SeisTrcBufDataPack::posfld_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025